Purge
Purge cache of a HTTP pull zone
curl -X POST "https://api.5centscdn.com/v2/zones/http/pull/42/purge?delete=true" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"files": [
"/videos/file.mp4",
"/images/logo.png"
]
}'
import requests
import json
url = "https://api.5centscdn.com/v2/zones/http/pull/42/purge?delete=true"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"files": [
"/videos/file.mp4",
"/images/logo.png"
]
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/zones/http/pull/42/purge?delete=true", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"files": [
"/videos/file.mp4",
"/images/logo.png"
]
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"files": [
"/videos/file.mp4",
"/images/logo.png"
]
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/zones/http/pull/42/purge?delete=true", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/zones/http/pull/42/purge?delete=true')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"files": [
"/videos/file.mp4",
"/images/logo.png"
]
}'
response = http.request(request)
puts response.body
{
"result": "success",
"purgeId": "1234667788957"
}
/zones/http/pull/{zoneid}/purgeTarget server for requests. Edit to use your own host.
API key (sent in header)
Zone ID
The media type of the request body
!Custom Plan applies to "By Pattern" only. List of file paths to purge. Omit this field entirely (send an empty body) to purge the whole zone.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Query Parameters
trueBody
applies to "By Pattern" only.
List of file paths to purge. Omit this field entirely (send an empty body) to purge the whole zone.
["/videos/file.mp4","/images/logo.png"]Responses
Status of the API response.
Unique identifier for this operation, returned in the success response and used to look up operation details via the purge history and purge details endpoints.